# Interface VariantsEncoder

All Superinterfaces:
  `AutoCloseable, Closeable, HtsEncoder<VCFHeader, VariantContext>`

All Known Implementing Classes:
  `VCFEncoder, VCFEncoderV3_2, VCFEncoderV3_3, VCFEncoderV4_0, VCFEncoderV4_1, VCFEncoderV4_2`

public interface VariantsEncoder extends HtsEncoder<VCFHeader, VariantContext>
Base class for all `HtsContentType.VARIANT_CONTEXTS` encoders.

## Method Summary

### Methods inherited from interface HtsEncoder

`close, getDisplayName, getFileFormat, getVersion, setHeader, write`